package com.example.parsaniahardik.shake_edittext_example;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.CycleInterpolator;
import android.view.animation.TranslateAnimation;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity {

    private EditText et, etp, etc;
    private Button btn, btnp, btnc;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        et = findViewById(R.id.et);
        btn = findViewById(R.id.btn);
        etp = findViewById(R.id.etp);
        btnp = findViewById(R.id.btnp);
        etc = findViewById(R.id.etc);
        btnc = findViewById(R.id.btnc);

        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Animation shake = AnimationUtils.loadAnimation(MainActivity.this, R.anim.shake);
               et.startAnimation(shake);
            }
        });

        btnp.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                etp.startAnimation(shakeError());
            }
        });

        btnc.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                etc.startAnimation(shakeCircle());
            }
        });

    }

    public TranslateAnimation shakeError() {
        TranslateAnimation shake = new TranslateAnimation(0, 0, 0, 20);
        shake.setDuration(1000);
        shake.setInterpolator(new CycleInterpolator(7));
        return shake;
    }

    public TranslateAnimation shakeCircle() {
        TranslateAnimation shake = new TranslateAnimation(0, 20, 0, 20);
        shake.setDuration(5000);
        shake.setInterpolator(new CycleInterpolator(7));
        return shake;
    }
}
